<?php
/*
Plugin Name: My Video
Plugin URI: http://www.ozblog.com.au/?p=40
Description: This allows you to show www.youtube.com videos in your blog and control the video size.
Version: 1.3
Author: Levi Putna
Author http://www.ozblog.com.au/
*/

/*  Copyright 2006  Levi Putna  (email : levi.putna@ozblog.com.au)

    This program is free software; you can redistribute it and/or modify
    it under the terms of the GNU General Public License as published by
    the Free Software Foundation; either version 2 of the License, or
    (at your option) any later version.

    This program is distributed in the hope that it will be useful,
    but WITHOUT ANY WARRANTY; without even the implied warranty of
    MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
    GNU General Public License for more details.

    You should have received a copy of the GNU General Public License
    along with this program; if not, write to the Free Software
    Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307  USA
*/


//youtube video filter
add_filter('the_content', 'mv_youtube');

//google video filter
add_filter('the_content', 'mv_google');

//metcafe video filter
add_filter('the_content', 'mv_metacafe');
// Insert the mv_add_pages() sink into the plugin hook list for 'admin_menu'
add_action('admin_menu', 'mv_add_pages');


function mv_add_pages() {
    // Add a new menu under Options:
    add_options_page('My Video Options', 'My Video', 8, 'mvoptions', 'mv_options_page');

	
}

// mg_options_page() displays the page content for the Options submenu
function mv_options_page() {
if ($_POST){
$vh = $_POST["vh"];
$vw = $_POST["vw"];
$gvh = $_POST["gvh"];
$gvw = $_POST["gvw"];
$mvh = $_POST["mvh"];
$mvw = $_POST["mvw"];


	$test = mv_checkUpdate('mv_video_height' , $_POST["vh"]);
		if ($test == true) {
			update_option('mv_video_height', $vh);
		}
		
	$test = mv_checkUpdate('mv_video_width' , $_POST["vw"]);
		if ($test == true) {
			update_option('mv_video_width', $vw);
		}
	
	//google vidoe update settings

	$test = mv_checkUpdate('mv_google_video_height' , $_POST["gvh"]);
		if ($test == true) {
			update_option('mv_google_video_height', $gvh);
		}
		
	$test = mv_checkUpdate('mv_google_video_width' , $_POST["gvw"]);
		if ($test == true) {
			update_option('mv_google_video_width', $gvw);
		}
		
		//metacafe vidoe update settings

	$test = mv_checkUpdate('mv_metacafe_video_height' , $_POST["mvh"]);
		if ($test == true) {
			update_option('mv_metacafe_video_height', $mvh);
		}
		
	$test = mv_checkUpdate('mv_metacafe_video_width' , $_POST["mvw"]);
		if ($test == true) {
			update_option('mv_metacafe_video_width', $mvw);
		}
	
}
$youtube_height = get_option(mv_video_height);
$youtube_width = get_option(mv_video_width);
$google_height = get_option(mv_google_video_height);
$google_width = get_option(mv_google_video_width);
$metacafe_height = get_option(mv_metacafe_video_height);
$metacafe_width = get_option(mv_metacafe_video_width);


	echo '<div class="wrap"><h2>Youtube Video Settings</h2>';
		echo "<form name='form1' method='post' action=''>
		  <table width='100%'  border='0' cellspacing='0' cellpadding='0'>
			<tr>
			  <td width='11%'>Video Height : </td>
			  <td width='89%'><input name='vh' type='text' id='vh' value='$youtube_height'></td>
			</tr>
			<tr>
			  <td>Video Width : </td>
			  <td><input name='vw' type='text' id='vw' value='$youtube_width'></td>
			</tr>
			<tr>
			  <td>&nbsp;</td>
			  <td><input type='submit' name='Submit' value='Update'></td>
			</tr>
		  </table>";
		echo '<h2>You Tube Upload</h2><a href="http://www.youtube.com">Upload Videos </a>';
	echo '</div>';
	//google
	echo '<div class="wrap"><h2>Google Video Settings</h2>';
		echo "<form name='form2' method='post' action=''>

		  <table width='100%'  border='0' cellspacing='0' cellpadding='0'>
			<tr>
			  <td width='11%'>Video Height : </td>
			  <td width='89%'><input name='gvh' type='text' id='gvh' value='$google_height'></td>
			</tr>
			<tr>
			  <td>Video Width : </td>
			  <td><input name='gvw' type='text' id='gvw' value='$google_width'></td>
			</tr>
			<tr>
			  <td>&nbsp;</td>
			  <td><input type='submit' name='Submit' value='Update'></td>
			</tr>
		  </table>
		</form>";
		echo '<h2>Google Upload</h2><a href="http://video.google.com.au/videouploadform?utm_campaign=gv-ww-hdr&utm_source=EM&utm_medium=link">Upload Videos </a>';
	echo '</div>';
	//metacafe
	echo '<div class="wrap"><h2>MetaCafe Video Settings</h2>';
		echo "<form name='form2' method='post' action=''>

		  <table width='100%'  border='0' cellspacing='0' cellpadding='0'>
			<tr>
			  <td width='11%'>Video Height : </td>
			  <td width='89%'><input name='mvh' type='text' id='mvh' value='$metacafe_height'></td>
			</tr>
			<tr>
			  <td>Video Width : </td>
			  <td><input name='mvw' type='text' id='mvw' value='$metacafe_width'></td>
			</tr>
			<tr>
			  <td>&nbsp;</td>
			  <td><input type='submit' name='Submit' value='Update'></td>
			</tr>
		  </table>
		</form>";
		echo '<h2>Metacafe Upload</h2><a href="http://www.metacafe.com">Upload Videos </a>';
	echo '</div>';
	
	echo '<div class="wrap"><h2>Help</h2>';
	echo 'If you need any help with this plugin just visit <a href="http://www.ozblog.com.au/?p=40">www.ozblog.com.au</a><br>This is My Video V1.2';
	echo '</div>';
	
}

// If the new and old values are the same, no need to update.
function mv_checkUpdate($option_name , $new_value){
		$return = true;
		$oldvalue = get_option($option_name);
		if ( $newvalue == $oldvalue ) {
			$return = false;
		}
		if ( $new_value == "" ) {
			$return =  false;
		}
		return $return;
	}

//desplay youtube videos
function mv_youtube($content) {
		$height = get_option(mv_video_height);
		$width = get_option(mv_video_width);
        // Find the tags
        preg_match_all('/\[youtube\](.*?)\[\/youtube\]/is', $content, $matches);

        // Loop through each tag
        for ($i=0; $i < count($matches['0']); $i++) {
				$video =  $matches['1'][$i];
				$replace = $matches['0'][$i];
				$new = '<object type="application/x-shockwave-flash" style="width:'.$width.'px; height:'.$height.'px;" data="http://www.youtube.com/v/'.$video.'"><param name="movie" value="http://www.youtube.com/v/'.$video.'"/></object>';
				        
				$content = str_replace($replace, $new, $content);
				}
		return $content;
}

//desplay google videos
function mv_google($content) {
		$height = get_option(mv_google_video_height);
		$width = get_option(mv_google_video_width);
        // Find the tags
        preg_match_all('/\[google\](.*?)\[\/google\]/is', $content, $matches);

        // Loop through each tag
        for ($i=0; $i < count($matches['0']); $i++) {
				$video =  $matches['1'][$i];
				$replace = $matches['0'][$i];
				$new = '<object type="application/x-shockwave-flash" style="width:'.$width.'px; height:'.$height.'px;" data="http://video.google.com/googleplayer.swf?docId='.$video.'"><param name="movie" value="http://video.google.com/googleplayer.swf?docId='.$video.'"/></object>';
				
				$content = str_replace($replace, $new, $content);
				}
		return $content;
}

//desplay google videos
function mv_metacafe($content) {
		$height = get_option(mv_metacafe_video_height);
		$width = get_option(mv_metacafe_video_width);
        // Find the tags
        preg_match_all('/\[metacafe\](.*?)\[\/metacafe\]/is', $content, $matches);

        // Loop through each tag
        for ($i=0; $i < count($matches['0']); $i++) {
				$video =  $matches['1'][$i];
				$replace = $matches['0'][$i];
				$new = '<object type="application/x-shockwave-flash" style="width:'.$width.'px; height:'.$height.'px;" data="http://www.metacafe.com/fplayer/'.$video.'/shoe_shop_prank.swf"><param name="movie" value="http://www.metacafe.com/fplayer/'.$video.'/shoe_shop_prank.swf"/></object>';
				$content = str_replace($replace, $new, $content);
				}
		return $content;
}

	  
//setup options
if(get_option(mv_version) != "1.2"){
//youtube
		update_option('mv_version', 1.2);
      update_option('mv_video_width', 425);
      update_option('mv_video_height', 350);
	  
	  //google
	  update_option('mv_google_video_width', 425);
      update_option('mv_google_video_height', 350);
	  
	  //metcafe
	  update_option('mv_metacafe_video_width', 425);
	  update_option('mv_metacafe_video_height', 350);
	 
}
?>